Detalhes do cupom
Um cupom com todas as suas regras: público alvo, restrições de produtos e formas de pagamento, janelas de horário e quantas vezes já foi usado.
Query Parameters
- Type: integercoupon
_id min:1requiredId do cupom.
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for get/api/coupon/details/
curl 'https://api.suit.com.br/api/coupon/details/?coupon_id=1' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"id": 1,
"code": "string",
"description": "string",
"active": true,
"starts_on": "2026-10-16",
"ends_on": "2026-10-16",
"discount_value": "string",
"discount_is_percent": true,
"discount_target": "string",
"prize_product_id": 1,
"usage_limit": 1,
"usage_count": 1,
"minimum_order_value": "string",
"maximum_discount": "string",
"reusable": true,
"first_order_only": true,
"target_audience": "string",
"birthday_redeem_days": 1,
"crm_classifications": [
"string"
],
"crm_tags": [
"string"
],
"order_types": [
"string"
],
"schedule_types": [
"string"
],
"restricts_products": true,
"product_ids": [
1
],
"category_ids": [
1
],
"forbidden_product_ids": [
1
],
"forbidden_category_ids": [
1
],
"restricts_payment_methods": true,
"payment_method_ids": [
1
],
"allows_promotions": true,
"allows_combos": true,
"allows_marketplace_customers": true,
"show_in_app": true,
"show_in_suitbot": true,
"show_in_roulette": true,
"availability": [
{
"weekdays": [
1
],
"starts_at": "11:02:16",
"ends_at": "11:02:16"
}
]
}